<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<%@ attribute name="value" required="true"%>
<%@ attribute name="style" required="false"%>
<%@ attribute name="current" required="true"%>

<%@ tag import="server.SearchServlet"%>

<form name="search" action="/" accept-charset="UTF-8" style="${style}">
	<c:forEach items="${searchcontext}" var="entry">
		<c:if
			test="${entry.key != SearchServlet.CURRENT_PAGE && entry.key != SearchServlet.CATEGORY}">
			<input type="hidden" name="${entry.key}"
				value="<c:out value="${entry.value}"/>" />
		</c:if>
	</c:forEach>
	
	<c:forEach items="${searchcontext[SearchServlet.CATEGORY]}" var="item">
		<input type="hidden" name="${SearchServlet.CATEGORY}"
			value="<c:out value="${item}"/>" />
	</c:forEach>
	
	<input type="hidden" name="${SearchServlet.CURRENT_PAGE}"
		value="<c:out value="${current}"/>" /> 
	<input type="submit"
		value="<c:out value="${value}"/>" />
</form>